summaryrefslogtreecommitdiffstats
path: root/network/google-chrome/google-chrome.SlackBuild
diff options
context:
space:
mode:
author Erik Hanson2010-05-13 01:00:00 +0200
committer David Somero2010-05-13 01:00:00 +0200
commita28f7b3acbd093fe344acaccb28d433cca025940 (patch)
tree315dbd89cb8d5560dbc874495b134c0bcd66faf7 /network/google-chrome/google-chrome.SlackBuild
parent3497fde8202474920cd2733a4eeca6f748696d74 (diff)
downloadslackbuilds-a28f7b3acbd093fe344acaccb28d433cca025940.tar.gz
network/google-chrome: Added to 13.0 repository
Diffstat (limited to 'network/google-chrome/google-chrome.SlackBuild')
-rw-r--r--network/google-chrome/google-chrome.SlackBuild85
1 files changed, 85 insertions, 0 deletions
diff --git a/network/google-chrome/google-chrome.SlackBuild b/network/google-chrome/google-chrome.SlackBuild
new file mode 100644
index 0000000000..ed6df72835
--- /dev/null
+++ b/network/google-chrome/google-chrome.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+#
+# Slackware build script for Google Chrome
+
+# Copyright 2009 Erik Hanson, Minneapolis, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=google-chrome
+VERSION=5.0.307.5 # We set this later.
+ARCH=${ARCH:-i386} # i386 or x86_64
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Enable (supposedly crashy) plugin support by default:
+PLUGINS=${PLUGINS:-yes}
+
+# Just in case:
+case "$ARCH" in
+ i?86) DEBARCH="i386" ; LIBDIRSUFFIX="" ; ARCH=i386 ;;
+ x86_64) DEBARCH="amd64" ; LIBDIRSUFFIX="64" ;;
+esac
+
+set -eu
+
+# Get the real version, thanks to Fred Richards.
+VERSION=$(ar p google-chrome-unstable_current_${DEBARCH}.deb control.tar.gz | tar zxO ./control | grep Version | awk '{print $2}' | cut -d- -f1)
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar p $CWD/google-chrome-unstable_current_${DEBARCH}.deb data.tar.lzma | lzma -d | tar xv
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+chmod 0755 $PKG # Put this back.
+rm opt/google/chrome/chrome-sandbox # Remove the sandbox.
+rm -rf etc/ # The cron job is debian/ubuntu only.
+
+# We need bits of Moz, do this as dynamically as possible:
+MISSING_LIBS=$(ldd opt/google/chrome/chrome | grep "not found" | cut -d\ -f1 | xargs)
+for MLIB in $MISSING_LIBS ; do
+ ln -s /usr/lib${LIBDIRSUFFIX}/seamonkey/${MLIB%.?d} opt/google/chrome/$MLIB
+done
+
+if [ "$PLUGINS" == "yes" ] ; then
+ sed -i 's/%U/--enable-plugins %U/' opt/google/chrome/google-chrome.desktop
+fi
+
+mv $PKG/usr/share/man $PKG/usr/man
+gzip -9 $PKG/usr/man/man?/*.?
+
+mkdir -p $PKG/usr/share/applications
+install -m 0644 opt/google/chrome/google-chrome.desktop \
+ $PKG/usr/share/applications/google-chrome.desktop
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}